org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Coupled

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Coupled
    extends Stage

A stage that couples a wrapped subscriber graph to a wrapped publisher graph.

The resulting stage sends all the elements received to the passed in subscriber, and emits all the elements received from the passed in publisher.

In addition, the lifecycles of the subscriber and publisher are coupled, such that if one terminates or receives a termination signal, the other will be terminated. Below is a table of what signals are emited when:

Lifecycle signal propagation
Returned ProcessorBuilder inlet | Passed in SubscriberBuilder | Passed in PublisherBuilder | Returned ProcessorBuilder outlet
--- | --- | --- | ---
Cause: complete from upstream | Effect: complete | Effect: cancel | Effect: complete
Cause: error from upstream | Effect: error | Effect: cancel | Effect: error
Effect: cancel | Cause: cancels | Effect: cancel | Effect: complete
Effect: cancel | Effect: complete | Cause: completes | Effect: complete
Effect: cancel | Effect: error | Cause: errors | Effect: error
Effect: cancel | Effect: complete | Effect: cancel | Cause: cancel from downstream

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`Graph` `getPublisher()` Get the publisher graph.
`Graph` `getSubscriber()` Get the subscriber graph.

### Method Detail

#### getSubscriber

    Graph getSubscriber()

Get the subscriber graph.

Returns:
  The subscriber graph.

#### getPublisher

    Graph getPublisher()

Get the publisher graph.

Returns:
  The publisher graph.